Package com.documentum.fc.client

# Interface IDfAuditTrail

All Superinterfaces:
  `IDfPersistentObject`, `IDfTypedObject`

public interface IDfAuditTrail extends IDfPersistentObject

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfList`
  `getAuditData()`
  This API gets the audit data information for this particular Audit Trail Object.
  `InputStream`
  `getAuditDataAsXMLStream()`
  This API gets an XML representation of an audit data information for this Audit Trail object.
  `String`
  `getSignData()`
  This API gets the signData information for this particular Audit Trail object.
  `boolean`
  `verifyAudit()`
  This API verifies this particular Audit Trail object and returns true or false accordingly.

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### verifyAudit

    boolean verifyAudit() throws DfException
    This API verifies this particular Audit Trail object and returns true or false accordingly.
    Returns:
      boolean - true or false based on object verification
    Throws:
      `DfException` - - Exception

  - ### getSignData

    String getSignData() throws DfException
    This API gets the signData information for this particular Audit Trail object.
    Returns:
      String - returns the signData information
    Throws:
      `DfException` - - Exception

  - ### getAuditData

    IDfList getAuditData() throws DfException
    This API gets the audit data information for this particular Audit Trail Object. This audit data includes information about new values, old values and modifed indexes for each of the attribute involved in the audit trail activity.
    Returns:
      IDfList - List of DfAuditData objects where each DfAuditData object represents modified audit attribute.
    Throws:
      `DfException` - - Exception
    Since:
      6.6

  - ### getAuditDataAsXMLStream

    InputStream getAuditDataAsXMLStream() throws DfException
    This API gets an XML representation of an audit data information for this Audit Trail object. This audit data includes information about new values, old values and modifed indexes for each of the attribute involved in the audit trail activity.
    Returns:
      InputStream - Stream of information about each modified audit attribute.
    Throws:
      `DfException` - - Exception
    Since:
      6.6